Subject: Re: bug#53377: 28.0.91: Build fails on MSYS2/MinGW-w64 with Clang

From: Óscar Fuentes <[email-masked]>
Date: Thu, 20 Jan 2022 04:59:55 +0100

Po Lu <[email-masked]> writes:

> Óscar Fuentes <[email-masked]> writes:
>
>> Your information is outdated. The only clear advantage GCC has over
>> Clang is at being compatible with GCC.
>
> The last I tried, I could not even step through Clang-generated code
> with GDB on MS-Windows.  The line numbers were all wrong.  Admittedly
> that was 4 months ago, but I don't see that it's likely for much to have
> changed since then.

Dunno, I use a debugger maybe once every several months, mostly on
GNU/Linux, where recent versions of Clang play reasonably well with gdb,
or at least not much worse than GCC. Besides, Clang has its own
debugger.

> So this is why I think we shouldn't worry about building on Windows with
> Clang.  There are enough real problems to worry about.

Then, by all means, keep working on those "real" problems and ignore
this issue. But please don't try to discourage others from working on
this.